Subject: Re: bug#39272: `man -H` doesn't use absolute path to groff
From: Maxim Cournoyer <[email-masked]>
To: pkill9 <[email-masked]>
Cc: [email-masked]
Date: Sun, 15 Nov 2020 17:48:47 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello pkill9,

pkill9 <[email-masked]> writes:

> when running `man -H curl`, I get the following output:
>
> ```
> man: command exited with status 255: (cd /tmp/hmanCnZGIK &&
> /gnu/store/l9j6dsfs2i4spfkia492wnighplvhb1c-man-db-2.9.0/libexec/man-db/zsoelim)
> | (cd /tmp/hmanCnZGIK &&
> /gnu/store/l9j6dsfs2i4spfkia492wnighplvhb1c-man-db-2.9.0/libexec/man-db/manconv
> -f UTF-8:ISO-8859-1 -t UTF-8//IGNORE) | (cd /tmp/hmanCnZGIK &&
> /gnu/store/5sd2yanrfv9pq8mvnf4c6pga11r6x7qh-groff-minimal-1.22.4/bin/preconv
> -e UTF-8) | (cd /tmp/hmanCnZGIK &&
> /gnu/store/5sd2yanrfv9pq8mvnf4c6pga11r6x7qh-groff-minimal-1.22.4/bin/tbl)
> | (cd /tmp/hmanCnZGIK && groff -mandoc -Thtml)
> ```
>
> When I go into a guix environment containing groff however, it works.
> Looking at the command `man -H` tries to use, it needs an absolute path
> to groff.

I looked into this but it turns out that our man-db package is carefully
crafted not to refer to the full groff package to reduce its closure
size by more than half.

I think you'll have to live with installing groff manually to get the
HTML feature, or alter the man-db definition to your particular needs.

If this issue comes back often, we could revisit this choice and use the
full groff, which would mean adding about 50 MiB to the closure of the
bare-bones.tmpl system.

Closing,

Thanks for the report!

Maxim